# community.crypto.parse_serial filter – Convert a serial number as a colon-separated list of hex numbers to an integer — Community.Crypto Collection documentation

# community.crypto.parse_serial filter – Convert a serial number as a colon-separated list of hex numbers to an integer

Note

This filter plugin is part of the community.crypto collection (version 2.20.0).

It is not included in `ansible-core`. To check whether it is installed, run `ansible-galaxy collection list`.

To install it, use: `ansible-galaxy collection install community.crypto`.

To use it in a playbook, specify: `community.crypto.parse_serial`.

New in community.crypto 2.18.0

## Synopsis

- Parses a colon-separated list of hex numbers of the form `00:11:22:33` and returns the corresponding integer.

## Input

This describes the input of the filter, the value before `| community.crypto.parse_serial`.

Parameter | Comments
--- | ---
Input string / required | A serial number represented as a colon-separated list of hex numbers between 0 and 255. These numbers are interpreted as the byte presentation of an unsigned integer in network byte order. That is, `01:00` is interpreted as the integer 256.

## See Also

See also

community.crypto.to_serial filter plugin

  Convert an integer to a colon-separated list of hex numbers.

## Examples

    - name: Parse serial number
      ansible.builtin.debug:
        msg: "{{ '11:22:33' | community.crypto.parse_serial }}"

## Return Value

Key | Description
--- | ---
Return value integer | The serial number as an integer. Returned: success

### Authors

- Felix Fontein (@felixfontein)

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.

### Collection links

- Issue Tracker
- Repository (Sources)
- Submit a bug report
- Request a feature
- Communication